Bug 465803 - tar -M --label "foo was here" does not created headers with volume numbers
tar -M --label "foo was here" does not created headers with volume numbers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: tar (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 10:09 EDT by netbeans
Modified: 2008-11-22 11:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-11 21:51:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description netbeans 2008-10-06 10:09:44 EDT
Description of problem:
Tried creating multi-volume tapes. Tar used to create volume headers with its own volume number ( so u can tell which one was first, second, ..... ). Tar use to do that automagically. Now it does not.


Version-Release number of selected component (if applicable):


How reproducible: Presuming I did it correctly, always.


Steps to Reproduce:
tar cfb /dev/st0 256 -M --new-volume-script /home/gat/SwitchOutTapes --label "PE1800 October 6 2008" largeraid raid

Actual results:
no volume numbers on the tape volumes

Expected results:


Additional info:
Comment 1 Kamil Dudka 2008-10-27 14:01:26 EDT
data point: seems to work on F-7 tar
Comment 2 Kamil Dudka 2008-11-03 08:37:26 EST
This feature seems to disappear between upstream releases 1.15.1 and 1.16. Is it documented somewhere?
Comment 3 netbeans 2008-11-03 09:44:21 EST
Are you asking me for documentation as to why it disappeared?
Are you asking me if there is any ( recent ) documentation on how the tar switches are supposed to operate?
Are you asking me for the release notes - which I suppose should have had notes on this.


For some folks, this is how tar is supposed to operate, irrespective of DOC's
Comment 4 Kamil Dudka 2008-11-03 15:10:26 EST
Fixed by upstream:
http://lists.gnu.org/archive/html/bug-tar/2008-11/msg00006.html

A testing rpm should be available soon.
Comment 5 Kamil Dudka 2008-11-05 09:16:19 EST
You can test this scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=918086
Comment 6 Fedora Update System 2008-11-10 08:45:20 EST
tar-1.20-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tar-1.20-4.fc10
Comment 7 Fedora Update System 2008-11-10 08:45:23 EST
tar-1.19-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tar-1.19-5.fc9
Comment 8 Fedora Update System 2008-11-11 21:51:40 EST
tar-1.19-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-11-22 11:43:03 EST
tar-1.20-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.